> For the complete documentation index, see [llms.txt](https://docs.thewalletcrew.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thewalletcrew.io/api-reference/tools/email-verifier.md).

# Email Verifier

## Validate email address format and domain

> Performs comprehensive email validation to ensure addresses are deliverable and meet quality standards.\
> \
> \## Validation Checks\
> \- \*\*Syntax\*\*: RFC 5322 compliance (format, special characters, structure)\
> \- \*\*Domain Rules\*\*: Optional tenant-specific restrictions:\
> &#x20; \- Disposable email provider blocking\
> &#x20; \- Corporate domain requirements\
> &#x20; \- Whitelist/blacklist enforcement\
> \
> \## Use Cases\
> \- Form validation during registration\
> \- Pre-send email verification\
> \- Data quality enforcement\
> \- Fraud prevention

```json
{"openapi":"3.1.1","info":{"title":"Neostore internal API","version":"v1"},"tags":[{"name":"EmailVerifier"}],"servers":[{"url":"https://app.neostore.cloud","description":"Production Server"},{"url":"https://app-qa.neostore.cloud","description":"Staging Server"}],"paths":{"/api/{tenantId}/emails/verify":{"post":{"tags":["EmailVerifier"],"summary":"Validate email address format and domain","description":"Performs comprehensive email validation to ensure addresses are deliverable and meet quality standards.\n\n## Validation Checks\n- **Syntax**: RFC 5322 compliance (format, special characters, structure)\n- **Domain Rules**: Optional tenant-specific restrictions:\n  - Disposable email provider blocking\n  - Corporate domain requirements\n  - Whitelist/blacklist enforcement\n\n## Use Cases\n- Form validation during registration\n- Pre-send email verification\n- Data quality enforcement\n- Fraud prevention","parameters":[{"name":"email","in":"query","description":"Email address to validate.","schema":{"type":"string"}},{"name":"tenantId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Validation result returned","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/EmailVerificationResult"}},"application/json":{"schema":{"$ref":"#/components/schemas/EmailVerificationResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/EmailVerificationResult"}}}},"400":{"description":"Invalid email payload or format","content":{"text/plain":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}},"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}},"text/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}}}},"500":{"description":"Internal server error while validating email"}}}}},"components":{"schemas":{"EmailVerificationResult":{"type":"object","properties":{"isValid":{"type":"boolean"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":["null","string"]},"title":{"type":["null","string"]},"status":{"type":["null","integer"],"format":"int32"},"detail":{"type":["null","string"]},"instance":{"type":["null","string"]}},"additionalProperties":{}},"HttpValidationProblemDetails":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProblemDetails"}],"properties":{"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thewalletcrew.io/api-reference/tools/email-verifier.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
